Page MenuHomePhabricator

wikitable sortable in visual editor
Closed, DuplicatePublic

Description

Hello, it's my first Task on phabricator so it might be possible i did something wrong, don't judge me for that please :P
I hope i have created it in the best tags and Projects, feel free to edit it if you have some better things/Projects/names.

According to a discussion in de:wikipedia at https://de.wikipedia.org/wiki/Hilfe_Diskussion:Tabellen/VisualEditor where a user is writing a help article for the usage of VE we have "found" a confusing bug or Problem. If you go to the menu for editing a table (usually wikitable) and turn on the sortable Switch, there will not be a visual effect in editing the page. Only after saving the page or using the source-code Editor to preview it "normally", your changes will appear visible. It is a bit confusing by editing a page with a VisualEditor and not seeing that changes have any effect. To be clear at all, the VE is working correctly in the Background, it will insert the correct Parameter "sortable" to the code and after saving the page the Change is saved too. But it would be really nice to see the effect before saving. So, there has to be a Change that you see the arrows of a "sortable wikitable" in VisualEditor like theese are in saved pages with existing sortable wikitables.
It's in General a low priority Task i think.

I hope I descriped the Problem well enough that anyone can understand what i mean. I have tried finding an existing Task for that Problem. For questions i'll hope i'll get an Information per mail or something, i usually don't watch out any Tasks at phab. I think it's better to contact me at my user disc on dewiki if anything is unclear https://de.wikipedia.org/wiki/Benutzer_Diskussion:Pearli123

Thanks a lot for your help, best Pearli123

Event Timeline

Pearli123 created this task.Jan 5 2017, 7:46 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 5 2017, 7:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Stryn added a subscriber: Stryn.Jan 11 2017, 6:18 PM

If I understood correctly, you mean that when previewing a page with tables in visual editor, you should be possible to sort the columns?
If yes, I would also like to see this feature, I've asked it already at T96483, and it's waiting for T139072.

Pearli123 closed this task as Resolved.Jan 12 2017, 6:39 PM

Hah, yes, thanks, thats it. Task T139072 is exactly i wanted to see. Thanks for your help.